package at.tugraz.iaik.p2p.hkad.ex

import at.tugraz.iaik.p2p.hkad.id.Identifier


class HashMismatch(val actual: Identifier, val expected: Identifier) : Throwable("actual: $actual, expected: $expected")
class CodecException(t: Throwable) : Throwable(t)
class NotRunningException() : Throwable()
class SeqIdMisMatch(val actual: Long, val expected: Long) :  Throwable("actual: $actual, expected: $expected")
class IllegalIdBytes(val actual: Int, val expected: Int) :  Throwable("actual: $actual, expected: $expected")