package at.tugraz.iaik.p2p.hkad.msg

import at.tugraz.iaik.p2p.hkad.id.Identifier
import at.tugraz.iaik.p2p.hkad.node.Node

/**
 *
 * The recipient of the request will return the k nodes in his own buckets that are the closest ones to the requested key.
 *
 * Created by Christoph on 22.09.2016.
 */

class FindNode(seqId: Long, origin: Node, val target: Identifier) : Message(MessageType.FIND_NODE, seqId, origin)

class NodeReply(seqId: Long, origin: Node, val nodes: Collection<Node>) : Message(MessageType.NODE_REPLY, seqId, origin)
