package at.tugraz.iaik.p2p.hkad.msg

import at.tugraz.iaik.p2p.hkad.node.Node

/**
 * Stores a (key, value) pair in one id.
 *
 *
 * Created by Christoph on 22.09.2016.
 */

class Store(seqId: Long, origin: Node, val value: ByteArray) : Message(
    MessageType.STORE,
    seqId,
    origin
)

class StoreReply(seqId: Long, origin: Node) : Message(MessageType.STORE_REPLY, seqId, origin)
