package at.tugraz.iaik.p2p.hkad.id

import at.tugraz.iaik.p2p.commons.CommonCrypto
import java.nio.ByteBuffer

class KadID(data: ByteArray) : Identifier(data, Type.KAD) {

    override fun fromData(data: ByteBuffer) = KadID(CommonCrypto.sha1(data))

    override fun generateBydistance(dist: Int) = KadID(bitsByDistance(dist))
}